[Bioperl-l] Installation problem

Rajasimha, Harsha (NIH/NEI) [C] rajasimhah at nei.nih.gov
Wed Oct 12 15:38:43 EDT 2011


No Christopher, I am trying the latest stable version 1.6.1
Should I expect a smoother install with 1.6.901?

Harsha

________________________________________
From: Fields, Christopher J [cjfields at illinois.edu]
Sent: Wednesday, October 12, 2011 3:37 PM
To: Rajasimha, Harsha (NIH/NEI) [C]
Cc: bioperl-l at bioperl.org
Subject: Re: [Bioperl-l] Installation problem

Have you tried the latest version from CPAN (v1.6.901)?

chris

On Oct 12, 2011, at 11:07 AM, Rajasimha, Harsha (NIH/NEI) [C] wrote:

> I am trying to install Bioperl since yesterday without any luck.
> I have tried exact same instructions for multiple ways of installing from the bioperl wiki - but no luck.
> I am attaching errors encountered during one such attempt below. Please help.
>
> root at comp1z BioPerl-1.6.1]# perl Build.PL
> This package requires Module::Build v0.2805 or greater to install itself.
> Base class package "Module::Build" is empty.
>    (Perhaps you need to 'use' the module which defines that package first.)
> at (eval 2) line 1
> BEGIN failed--compilation aborted at (eval 2) line 1.
> BEGIN failed--compilation aborted at Bio/Root/Build.pm line 83.
> Compilation failed in require at Build.PL line 14.
> BEGIN failed--compilation aborted at Build.PL line 14.
>
> I have tried installing Module::Build using CPAN, but that installation fails too due to dependencies (even though I say "yes" to all prepend dependencies questions during install).
>
> Please help!!!
> Harsha
> National Eye Institute, Bethesda, MD
> 301-402-5734
> _______________________________________________
> Bioperl-l mailing list
> Bioperl-l at lists.open-bio.org
> http://lists.open-bio.org/mailman/listinfo/bioperl-l




More information about the Bioperl-l mailing list